Subject: [Dime] Questions on 3588bis election text

From: Andrew Booth <[email-masked]>
Date: Thu, 4 Oct 2012 14:27:34 -0400

Hi,

It seems to me that the election resolution text in section 5.6.4 of draft-ietf-dime-rfc3588bis-34.txt is not backward compatible with RFC3588, is this correct?
My understanding is that IF a diameter node that implements 3588 is communicating with one that implements 3588bis AND at least one of the Diameter IDs contains capital letters in the wrong places, then the two nodes could have different views on which node wins the election, possibly resulting in 0 or 2 connections between the nodes.

Could this lead to reconnect loops where both sides reconnect after Tc and then both continue to close the connection?

Am I misunderstanding something?  Or is this not an issue for other reasons?

Thanks for any info,
Andrew

---

From: Glen Zorn <[email-masked]>
Date: Sun, 07 Oct 2012 10:13:20 +0700

On 10/05/2012 01:27 AM, Andrew Booth wrote:
> Hi,
>
> It seems to me that the election resolution text in section 5.6.4 of 
> draft-ietf-dime-rfc3588bis-34.txt is not backward compatible with 
> RFC3588, is this correct?

No.

> My understanding is that IF a diameter node that implements 3588 is 
> communicating with one that implements 3588bis AND at least one of the 
> Diameter IDs contains capital letters in the wrong places, then the 
> two nodes could have different views on which node wins the election, 
> possibly resulting in 0 or 2 connections between the nodes.
>
> Could this lead to reconnect loops where both sides reconnect after Tc 
> and then both continue to close the connection?
>

RFC 1035 says "Note that while upper and lower case letters are allowed 
in domain
names, no significance is attached to the case.  That is, two names with 
the same spelling but different case are to be treated as if 
identical."  Since the DiameterIdentity type was defined in RFC 3588 as  
FQDN, case-sensitivity wasn't an issue; the revision is just more 
specific about that than the original.

>
> Thanks for any info,
> Andrew
>
>
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime